Уязвимость BDU:2020-04091

Дата: 11.05.2020. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-04091.

Наименование уязвимости: Уязвимость компонентов auths/spa.c и auths/auth-spa.c почтового сервера Exim, позволяющая нарушителю получить доступ к конфиденциальным данным.

Описание уязвимости: Уязвимость компонентов auths/spa.c и auths/auth-spa.c почтового сервера Exim связана с чтением за допустимыми границами буфера данных. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, получить доступ к конфиденциальным данным
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Debian GNU/Linux 9.0 | Операционная система Debian GNU/Linux 10.0 | Операционная система Fedora Project Fedora 31 | Операционная система Canonical Ltd. Ubuntu 19.10 | Операционная система ООО «РусБИТех-Астра» Astra Linux 8.1 «Ленинград» | Операционная система Fedora Project Fedora 32 | Операционная система Canonical Ltd. Ubuntu 20.04 LTS | Сетевое программное средство GNU General Public License exim до 4.93 включительно | Операционная система ООО «РусБИТех-Астра» Astra Linux 2.12 «Орел» |

Наименование ОС и тип аппаратной платформы: Ubuntu 1604 LTS | Ubuntu 1804 LTS | Debian GNU/Linux 90 | Debian GNU/Linux 100 | Fedora 31 | Ubuntu 1910 | Astra Linux 81 «Ленинград» | Fedora 32 | Ubuntu 2004 LTS | Astra Linux 212 «Орел» |
Дата выявления: 11.05.2020.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:N/A:N
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,5)

Возможные меры по устранению:
Использование рекомендаций:
Для exim4:
Обновление программного обеспечения до 4.94-4 или более поздней версии

Для Debian/GNU Linux:
Обновление программного обеспечения (пакета exim4) до 4.92-8+deb10u4 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета exim4) до 4.92-8+deb10u4 или более поздней версии

Для Fedora:
https://lists.fedoraproject.org/archives/list/[email protected]/message/M7Z5UG6ZIG32V7M4PP3BCC65C27EWK7G/
https://lists.fedoraproject.org/archives/list/[email protected]/message/F6IQQ2SERFUD4WMRSX6XYDNK7Q4GPT7Y/

Для Ubuntu:
https://ubuntu.com/security/notices/USN-4366-1

Для Astra Linux:
Обновление программного обеспечения (пакета exim4) до 4.92-8+deb10u4 или более поздней версии
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2020-12783.

Тип ошибки CWE: CWE-125
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://nvd.nist.gov/vuln/detail/CVE-2020-12783
https://security-tracker.debian.org/tracker/CVE-2020-12783
https://wiki.astralinux.ru/astra-linux-se81-bulletin-20200429SE81
https://lists.fedoraproject.org/archives/list/[email protected]/message/M7Z5UG6ZIG32V7M4PP3BCC65C27EWK7G/
https://lists.fedoraproject.org/archives/list/[email protected]/message/F6IQQ2SERFUD4WMRSX6XYDNK7Q4GPT7Y/
https://ubuntu.com/security/notices/USN-4366-1
https://git.exim.org/exim.git/commit/a04174dc2a84ae1008c23b6a7109e7fa3fb7b8b0
https://git.exim.org/exim.git/commit/57aa14b216432be381b6295c312065b2fd034f86
https://bugs.exim.org/show_bug.cgi?id=2571

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *